| Apache Ignite C++

Public Types | Static Public Member Functions | List of all members
ignite::binary::BinaryEnum< T * > Struct Template Reference

BinaryEnum template specialization for pointers. More...

`#include <binary_enum.h>`

## Public Types
typedef BinaryEnum< T > | BinaryEnumDereferenced
| Actual type. More...

## Static Public Member Functions
static int32_t | GetTypeId ()
| Get binary object type ID. More...
static void | GetTypeName (std::string &dst)
| Get binary object type name. More...
static int32_t | GetOrdinal (T *value)
| Get enum type ordinal. More...
static T * | FromOrdinal (int32_t ordinal)
| Get enum value for the given ordinal value. More...
static bool | IsNull (T *const &obj)
| Check whether passed enum should be interpreted as NULL. More...
static void | GetNull (T *&dst)
| Get NULL value for the enum type. More...

## Detailed Description

### template<typename T>
struct ignite::binary::BinaryEnum< T * >

BinaryEnum template specialization for pointers.

## Member Typedef Documentation

## ◆ BinaryEnumDereferenced

template<typename T >

typedef BinaryEnum<T> ignite::binary::BinaryEnum< T * >::BinaryEnumDereferenced

Actual type.

## Member Function Documentation

## ◆ FromOrdinal()

template<typename T >

static T* ignite::binary::BinaryEnum< T * >::FromOrdinal | ( | int32_t | ordinal | ) |
| inline static

Get enum value for the given ordinal value.

Parameters

  ordinal | Ordinal value of the enum.

## ◆ GetNull()

template<typename T >

static void ignite::binary::BinaryEnum< T * >::GetNull | ( | T *& | dst | ) |
| inline static

Get NULL value for the enum type.

Parameters

  dst | NULL value for the enum.

## ◆ GetOrdinal()

template<typename T >

static int32_t ignite::binary::BinaryEnum< T * >::GetOrdinal | ( | T * | value | ) |
| inline static

Get enum type ordinal.

Returns
  Ordinal of the enum type.

## ◆ GetTypeId()

template<typename T >

static int32_t ignite::binary::BinaryEnum< T * >::GetTypeId | ( |  | ) |
| inline static

Get binary object type ID.

Returns
  Type ID.

## ◆ GetTypeName()

template<typename T >

static void ignite::binary::BinaryEnum< T * >::GetTypeName | ( | std::string & | dst | ) |
| inline static

Get binary object type name.

Parameters

  dst | Output type name.

## ◆ IsNull()

template<typename T >

static bool ignite::binary::BinaryEnum< T * >::IsNull | ( | T *const & | obj | ) |
| inline static

Check whether passed enum should be interpreted as NULL.

Parameters

  obj | Enum value to test.

Returns
  True if enum value should be interpreted as NULL.

The documentation for this struct was generated from the following file:

- binary_enum.h